Bug 122356 - Double-click on format in Format Cells:Number format closes dialog without doing anything
Summary: Double-click on format in Format Cells:Number format closes dialog without do...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Cell-Format-Dialog
  Show dependency treegraph
 
Reported: 2018-12-28 02:51 UTC by Jim Avera
Modified: 2019-01-17 09:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Avera 2018-12-28 02:51:12 UTC
Description:
In Format->Cells...  Numbers tab, if a specific format is double-clicked (instead of single-clicked), the dialog closes without doing anything.

I suspect it was meant to apply that format (as if "OK" was clicked).

In any case, double-click should either be ignored (act like single-click), or should apply the double-clicked format, or give an error message.


Steps to Reproduce:
1. Open a spredsheet
2. Type a number "123" into a cell
3. Select the cell 
4. Format->Cells...   click Numbers tab if necessary
5. Click "Currency" in the left Category pane
6. double-click one of the currency formats in the Format pane

Actual Results:
Dialog vanishes.  No change to the cell.

Expected Results:
Should either apply the format (as if OK were clicked), or act the same as a single-click


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2018-12-28 21:20:03 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

df36ceaf4ed44d14ea3c6752f4cfa0d417d388cb is the first bad commit
commit df36ceaf4ed44d14ea3c6752f4cfa0d417d388cb
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Sep 28 17:50:03 2018 +0200

    source sha:3c11aa745cc78f1bde4efacccb22fa818df825c7

author	Caolán McNamara <caolanm@redhat.com>	2018-09-25 12:30:21 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-28 15:35:22 +0200
commit	3c11aa745cc78f1bde4efacccb22fa818df825c7 (patch)
tree	09135c2ec9f77b09d371418476a5b6fd6acc54d0
parent	a98058199410bdb183acd0ec5e7899ea4baf6c5a (diff)
weld ScAttrDlg
Comment 2 Commit Notification 2019-01-10 09:22:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/10f0c50c86db4e7b9130130e61412497a0e4848b%5E%21

Resolves: tdf#122356 on row-activate click ok button

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-01-10 09:24:38 UTC
fixed in master, backport to 6-2 in gerrit
Comment 4 Xisco Faulí 2019-01-16 16:42:00 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 1bf68dbf53f4b5308e295058226abd6d6fb49c3d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 5 Commit Notification 2019-01-16 16:43:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f3ff8ba104e8271e7a33c5cbb94ab8f561dd4a38%5E%21

Resolves: tdf#122356 on row-activate click ok button

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-17 09:26:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/88cfaa624edb2cd2ee1c75c22e69f856c80a542f%5E%21

Resolves: tdf#122356 on row-activate click ok button

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.